diff --git a/web/pgadmin/browser/server_groups/servers/databases/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
index 7b1755c..1c69b05 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
@@ -408,7 +408,7 @@ class DatabaseView(PGChildNodeView):
         )
         status, rset = self.conn.execute_dict(SQL)
         if not status:
-            return internal_server_error(errormsg=res)
+            return internal_server_error(errormsg=rset)
 
         for row in rset['rows']:
             res.append(
@@ -436,7 +436,7 @@ class DatabaseView(PGChildNodeView):
         )
         status, rset = self.conn.execute_dict(SQL)
         if not status:
-            return internal_server_error(errormsg=res)
+            return internal_server_error(errormsg=rset)
 
         for row in rset['rows']:
             if row['cname'] not in default_list:
diff --git a/web/pgadmin/browser/templates/browser/js/collection.js b/web/pgadmin/browser/templates/browser/js/collection.js
index 487f23e..84a2140 100644
--- a/web/pgadmin/browser/templates/browser/js/collection.js
+++ b/web/pgadmin/browser/templates/browser/js/collection.js
@@ -124,8 +124,8 @@ function($, _, S, pgAdmin, Backbone, Alertify, Backform) {
           Alertify.pgNotifier(
             error, xhr,
             S(
-              "{{ _("Error retrieving properties: %s.") }}"
-            ).sprintf(message).value(),
+              "{{ _("Error retrieving properties- %s") }}"
+            ).sprintf(message || that.label).value(),
             function() {
               console.log(arguments);
             }
diff --git a/web/pgadmin/browser/templates/browser/js/messages.js b/web/pgadmin/browser/templates/browser/js/messages.js
index da71596..4a19504 100644
--- a/web/pgadmin/browser/templates/browser/js/messages.js
+++ b/web/pgadmin/browser/templates/browser/js/messages.js
@@ -25,7 +25,7 @@ function(_, S, pgAdmin) {
     'TRUE': "{{ _("True") }}",
     'FALSE': "{{ _("False") }}",
     'NOTE_CTRL_LABEL': "{{ _("Note") }}",
-    'ERR_RETRIEVAL_INFO': "{{ _("Error retrieving the information: <br>%s") }}",
+    'ERR_RETRIEVAL_INFO': "{{ _("Error retrieving the information- %s") }}",
     'CONNECTION_LOST': "{{ _("Connection to the server has been lost!") }}"
   };
 
diff --git a/web/pgadmin/browser/templates/browser/js/node.js b/web/pgadmin/browser/templates/browser/js/node.js
index f73d714..e53d465 100644
--- a/web/pgadmin/browser/templates/browser/js/node.js
+++ b/web/pgadmin/browser/templates/browser/js/node.js
@@ -283,6 +283,9 @@ function($, _, S, pgAdmin, Menu, Backbone, Alertify, pgBrowser, Backform) {
               newModel.startNewSession();
             })
             .error(function(xhr, error, message) {
+              var _label = that && item ?
+                                that.getTreeNodeHierarchy(item)[that.type].label :
+                                '';
               pgBrowser.Events.trigger(
                 'pgadmin:node:retrieval:error', 'properties',
                 xhr, error, message, item
@@ -295,8 +298,8 @@ function($, _, S, pgAdmin, Menu, Backbone, Alertify, pgBrowser, Backform) {
                 Alertify.pgNotifier(
                   error, xhr,
                   S(
-                    "{{ _("Error retrieving properties: %s.") }}"
-                  ).sprintf(message).value(),
+                    "{{ _("Error retrieving properties- %s") }}"
+                  ).sprintf(message || _label).value(),
                   function() {
                     console.log(arguments);
                   }
diff --git a/web/pgadmin/misc/depends/static/js/depends.js b/web/pgadmin/misc/depends/static/js/depends.js
index 3a934dc..d68d641 100644
--- a/web/pgadmin/misc/depends/static/js/depends.js
+++ b/web/pgadmin/misc/depends/static/js/depends.js
@@ -230,6 +230,7 @@ define([
           collection.fetch({
             reset: true,
             error: function(coll, xhr, error, message) {
+              var _label = treeHierarchy[n_type].label;
               pgBrowser.Events.trigger(
                 'pgadmin:node:retrieval:error', 'depends', xhr, status, error
               );
@@ -242,7 +243,7 @@ define([
                   status, xhr,
                   S(
                     pgBrowser.messages['ERR_RETRIEVAL_INFO']
-                  ).sprintf(error).value(),
+                  ).sprintf(message || _label).value(),
                   function() {
                     console.log(arguments);
                   }
diff --git a/web/pgadmin/misc/sql/static/js/sql.js b/web/pgadmin/misc/sql/static/js/sql.js
index 4a2777e..0766daf 100644
--- a/web/pgadmin/misc/sql/static/js/sql.js
+++ b/web/pgadmin/misc/sql/static/js/sql.js
@@ -1,7 +1,7 @@
 define([
   'underscore', 'underscore.string', 'jquery', 'pgadmin.browser',
   'alertify', 'pgadmin.alertifyjs'
-], function(_, S, $, pgBrowser) {
+], function(_, S, $, pgBrowser, Alertify) {
 
   pgBrowser.ShowNodeSQL = pgBrowser.ShowNodeSQL || {};
 
@@ -86,6 +86,7 @@ define([
                   }
                 },
                 error: function(xhr, error, message) {
+                  var _label = treeHierarchy[n_type].label;
                   pgBrowser.Events.trigger(
                     'pgadmin:node:retrieval:error', 'sql', xhr, status, error, item
                   );
@@ -98,7 +99,7 @@ define([
                       status, xhr,
                       S(
                         pgBrowser.messages['ERR_RETRIEVAL_INFO']
-                      ).sprintf(error).value(),
+                      ).sprintf(message || _label).value(),
                       function() {
                         console.log(arguments);
                       }
diff --git a/web/pgadmin/misc/statistics/static/js/statistics.js b/web/pgadmin/misc/statistics/static/js/statistics.js
index 5ce29c9..652b720 100644
--- a/web/pgadmin/misc/statistics/static/js/statistics.js
+++ b/web/pgadmin/misc/statistics/static/js/statistics.js
@@ -212,6 +212,7 @@ define([
               }
             },
             error: function(xhr, error, message) {
+              var _label = treeHierarchy[n_type].label;
               pgBrowser.Events.trigger(
                 'pgadmin:node:retrieval:error', 'statistics', xhr, status, error, item
               );
@@ -224,7 +225,7 @@ define([
                   status, xhr,
                   S(
                     pgBrowser.messages['ERR_RETRIEVAL_INFO']
-                  ).sprintf(error).value(),
+                  ).sprintf(message || _label).value(),
                   function() {
                     console.log(arguments);
                   }
